{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "mnp_ci:whale_water_push_out",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/particles"
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"creation_expression": "v.x=0;v.z=1;v.speed=0.2;"
			},
			"minecraft:emitter_rate_steady": {
				"spawn_rate": "10+math.sin(v.emitter_age/v.emitter_lifetime*180)*30",
				"max_particles": 50
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {
				"offset": ["(v.particle_random_1-0.5) * 2 * v.x - v.z*0.2", -0.1, "(v.particle_random_1-0.5) * 2 * v.z - v.x*0.7"],
				"direction": ["-5*v.z", -1, "-5*v.x - 4*v.speed"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "math.random(0.4, 1.4)"
			},
			"minecraft:particle_expire_if_not_in_blocks": ["minecraft:water", "minecraft:flowing_water", "minecraft:bubble_column"],
			"minecraft:particle_initial_spin": {
				"rotation": 90
			},
			"minecraft:particle_initial_speed": 4,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": ["math.cos(math.min(400,v.particle_age*600) +v.particle_random_4*30) * (v.particle_random_2*0.4 +1) * -20 * v.z", "math.sin(math.min(365,v.particle_age*650) +v.particle_random_4*30) * (v.particle_random_3*0.4 +1) * 20", "math.cos(math.min(400,v.particle_age*600) +v.particle_random_4*30) * (v.particle_random_2*0.4 +1) * 20 * v.x - 10*v.speed"],
				"linear_drag_coefficient": 2
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.1, 0.21],
				"facing_camera_mode": "lookat_direction",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [8, 56],
					"uv_size": [8, 8]
				}
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": [0.2, 0.30196, 1, 1]
			}
		}
	}
}